<?php

class SMWIDGETS_BOL_Service{
	
	private static $classInstance;
	
    public static function getInstance()
    {
        if ( self::$classInstance === null )
        {
            self::$classInstance = new self();
        }

        return self::$classInstance;
    }

    private function __construct()
    {

    }
	
	public function getFieldValue($fieldName, $userId){
		
		$baseQuestion = BOL_QuestionService::getInstance()->getQuestionData(array( $userId ), array($fieldName));
		
		if(!empty($baseQuestion[$userId][$fieldName])){
			return $baseQuestion[$userId][$fieldName];
		}
	}
	
	public function isOwner($id){
		$userId = OW::getUser()->getId();
		if($id === $userId){
			return true;
		}
	}
	
	public function showBtn(){
		$showBtn = OW::getConfig()->getValue('smwidgets', 'show_btn');
		if($showBtn == 'true'){
			return true;
		}else{
			return false;
		}
	}
}